Get Profiles for an Account

get

/profiles/account/{id}

Gets account-level profiles for the specified account. If the type query parameter is supplied, only matching profiles are returned; otherwise, all account-level profiles are returned.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

200 Response

The account-level profiles were returned successfully.

500 Response

An internal server error occurred.
Back to Top

Examples

This example shows how to get an account's profile by submitting a GET request on the REST resource using cURL. For more information about cURL, see "Use cURL".

cURL Command

curl -X GET 'http://hostname:port/bcws/webresources/version/profiles/account/0.0.0.1+-account+228862'

where:

  • hostname is the URL for the Billing Care REST server.
  • port is the port for the Billing Care REST server.
  • version is the version of the API you're using, such as v1.0.

Example of Response Body

This example shows the contents of the response body in JSON format.

{
   "profileTypes": {
      "profileServ_extrating": [
         {
            "id": {
               "id": "0.0.0.1+-profile-serv_extrating+219687"
            },
            "creationDate": "2020-01-10+05:30",
            "accountObj": {
               "id": "0.0.0.1+-account+228862"
            },
            "name": "HOME_REGION",
            "selected": "false",
            "dataArray": [
               {
                  "name": "1",
                  "validFrom": "1970-01-19+05:30",
                  "validTo": "1970-01-19+05:30",
                  "value": "1234"
               },
               {
                  "name": "2",
                  "validFrom": "1970-01-19+05:30",
                  "validTo": "1970-01-19+05:30",
                  "value": "123456"
               }
            ],
            "extrating": {
               "label": "Official",
               "referenceCount": "1",
               "status": "3"
            },
            "_xmlns": "http://xmlns.oracle.com/cgbu/schemas/BusinessObjs"
         },
         {
            "id": {
               "id": "0.0.0.1+-profile-serv_extrating+217622"
            },
            "creationDate": "2020-01-09+05:30",
            "accountObj": {
               "id": "0.0.0.1+-account+228862"
            },
            "name": "Office Region",
            "selected": "false",
            "dataArray": [
               {
                  "name": "1",
                  "validFrom": "1970-01-19+05:30",
                  "validTo": "1970-01-19+05:30",
                  "value": "1234"
               }
            ],
            "extrating": {
               "label": "Official",
               "referenceCount": "1",
               "status": "3"
            },
         }
      ]
   }
}
Back to Top